.glass-container {
    width: 300px;
    height: 360px;
    position: relative;
    z-index: 1;
    background: rgba(49, 39, 85, 0.396);
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    border-radius: 10px;
    border: 1px solid #32556f;
}

.glass-container::before {
    content: '';
    position: absolute;
    width: 100%;
    height: 100%;
    border-radius: 10px;
    backdrop-filter: blur(5px);
    -webkit-backdrop-filter: blur(5px);
    z-index: -1;
}

.login-box {
    max-width: 250px;
    margin: 0 auto;
    text-align: center;
}

h2 {
    color: #fff;
    margin-top: 30px;
    margin-bottom: -20px;
}

/* input:focus {
    outline: none;
} */

.input:focus, input:hover {
    outline: none;
    /* border-color: rgba(29, 136, 152, 0.4); */
    border-color: rgba(167, 139, 250, 0.258);
    background: transparent;
    box-shadow: 0 0 0 7px rgba(36, 9, 34, 0.1);
}

.options {
    display: flex;
    align-items: center;
    margin-top: 15px;
    font-size: 12px;
    color: white;
}

.options input {
    margin-right: 5px;
    margin-top: 0px;
}

.options a {
    text-decoration: none;
    color: white;
    margin-left: auto;
}


/* From Uiverse.io by nikk7007 */ 
.btni {
 --color: #302467a4;
 --color2: rgb(10, 25, 30);
 padding: 0.8em 1.75em;
 background-color: transparent;
 border-radius: 40px;
 border: 2px solid var(--color);
 transition: .5s;
 position: relative;
 overflow: hidden;
 cursor: pointer;
 z-index: 1;
 font-weight: 300;
 font-size: 17px;
 font-family: 'Roboto', 'Segoe UI', sans-serif;
 text-transform: uppercase;
 color: var(--color);
}

.btni::after, .btni::before {
 content: '';
 display: block;
 height: 100%;
 width: 100%;
 transform: skew(90deg) translate(-50%, -50%);
 position: absolute;
 inset: 50%;
 left: 25%;
 z-index: -1;
 transition: .5s ease-out;
 background-color: var(--color);
}

.btni::before {
 top: -50%;
 left: -25%;
 transform: skew(90deg) rotate(180deg) translate(-50%, -50%);
}

.btni:hover::before {
 transform: skew(45deg) rotate(180deg) translate(-50%, -50%);
}

.btni:hover::after {
 transform: skew(45deg) translate(-50%, -50%);
}

.btni:hover {
 color: var(--color2);
}

.btni:active {
 filter: brightness(.7);
 transform: scale(.98);
}



p {
    font-size: 12px;
    color: #fff;
    margin-top: 15px;
}

form {
    display: flex;
    flex-direction: column;
    margin-top: 20px;
}

input {
    padding: 10px;
    margin-top: 30px;
    border: none;
    border-radius: 10px;
    background: transparent;
    border: 1px solid #fff;
    color: #fff;
    font-size: 13px;
}

input::placeholder {
    color: #fff;
}

/* ===== FIX AUTOFILL CELESTE ===== */
input:-webkit-autofill,
input:-webkit-autofill:hover,
input:-webkit-autofill:focus,
input:-webkit-autofill:active {
    -webkit-box-shadow: 0 0 0 30px #1a0a2e inset !important; /* mismo color que tu fondo */
    -webkit-text-fill-color: #fff !important;
    transition: background-color 5000s ease-in-out 0s;
}